#!/usr/bin/env groovy
pipeline {
  agent {
    kubernetes {
      label "gitlab-${UUID.randomUUID().toString()}"
      defaultContainer 'tools'
      yamlFile 'buildpod.yaml'
    }
  }

  options {
    disableConcurrentBuilds()
  }

 

  stages {
    stage('Lint Helm chart') {
      steps {
        echo "first try"   
      }
    }
  }

  post {
    success {
      script {
        def author = sh(returnStdout: true, script: "git log -1 --pretty=format:'%an'").trim()
        slackSend color: 'good', message: "*SUCCESS: <${env.BUILD_URL}|${env.JOB_NAME}-${ env.BUILD_NUMBER}>*\nRepository: ${env.GIT_URL}\nBranch: ${env.GIT_BRANCH}\nCommit: ${env.GIT_COMMIT}\nAuthor: ${author}"
      }
    }
    failure {
      script {
        def author = sh(returnStdout: true, script: "git log -1 --pretty=format:'%an'").trim()
        slackSend color: 'danger', message: "*FAILURE: <${env.BUILD_URL}|${env.JOB_NAME}-${ env.BUILD_NUMBER}>*\nRepository: ${env.GIT_URL}\nBranch: ${env.GIT_BRANCH}\nCommit: ${env.GIT_COMMIT}\nAuthor: ${author}"
      }
    }
  }
}